#### MODULE SOURCES ####
Version: 5.0.0.31
%define module_name     heci
%define module_version  %version
%define module_release  alt1

Name: kernel-source-%module_name-%module_version
Release: %module_release
Summary: Linux Kernel drivers and tools supporting Intel Active Management Technology.
License: GPL
Group: Development/Kernel
Url: http://tpctl.sourceforge.net
BuildArch: noarch

Source: http://prdownloads.sourceforge.net/tpctl/%{module_name}-%version.tar.gz

Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

%description
The Intel(R) Manageability Engine Interface driver allows applications to access
the Intel(R) Active Management Technology (Intel(R) AMT) FW via host
interface (as opposed to a network interface).

The Intel(R) Manageability Engine Interface driver is meant to be used by the
Local Manageability Service. When the Intel AMT machine is in Legacy Mode,
the Intel(R) Manageability Engine Interface driver functions as the KCS driver
did for Intel AMT Release 1.0.

%prep
%setup -q -c -n %name
%__mv %module_name-%module_version/* .
%__rm -fR %module_name-%module_version

%install
%__mkdir_p %buildroot%_usrsrc/kernel/sources/
pushd ..
%__tar -c kernel-source-%module_name-%module_version | %__bzip2 -c > \
    %buildroot%_usrsrc/kernel/sources/kernel-source-%module_name-%module_version.tar.bz2
popd

%files
%attr(644,root,root) %_usrsrc/kernel/sources/kernel-source-%module_name-%module_version.tar.bz2

%changelog
* Sat Jul 26 2008 Michail Yakushin <silicium@altlinux.ru> 5.0.0.31-alt1
- 5.0.0.31 

* Fri Jul 25 2008 Michail Yakushin <silicium@altlinux.ru> 3.2.0.24-alt1
- Inital Build for altlinux 

